Skip to main content
PUT
/
api
/
approval-policies
/
{id}
Update an approval policy
curl --request PUT \
  --url https://app.solya.app/api/approval-policies/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "thresholdValue": 75000
}
'
{
  "actionFamily": "RESTOCK_PLAN",
  "createdAt": "2026-01-10T08:00:00.000Z",
  "createdBy": "user-uuid-1",
  "id": "policy-uuid-1",
  "isActive": true,
  "name": "High-value restock approval",
  "organizationId": "org-uuid-1",
  "scopeBrandIds": [],
  "scopeCollections": [],
  "scopeShopIds": [
    "shop-uuid-1"
  ],
  "scopeSupplierIds": [],
  "thresholdValue": 75000,
  "updatedAt": "2026-06-05T12:00:00.000Z",
  "updatedBy": "user-uuid-1"
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Path Parameters

id
string
required

Unique identifier of the approval policy (UUID)

Minimum string length: 1

Body

application/json
actionFamily
enum<string> | null
Available options:
RESTOCK_PLAN,
REBALANCE_PLAN,
MARKDOWN_PLAN,
PRE_SEASON_PLAN,
RECOMMENDATION,
WORKFLOW,
SUPPLIER_RETURN_PLAN,
SUPPLIER_EXCHANGE_PLAN
name
string
Required string length: 1 - 255
scopeBrandIds
string[]
Minimum string length: 1
scopeCollections
string[]
Minimum string length: 1
scopeShopIds
string[]
Minimum string length: 1
scopeSupplierIds
string[]
Minimum string length: 1
thresholdValue
number
Required range: x >= 0

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true